function setup() {
  
  let canvas = createCanvas(400, 400, WEBGL);
  canvas.parent('sketch1');
  camera(0, 0, height / 2 / tan(PI / 6), 0, 0, 0, 0, 1, 0);
}

function draw() {
  background(0, 0, 0);
  directionalLight(255, 255, 255, -1, -1, -1);
  ambientLight(200,200,200);

  //create grid
  for (let i = 60; i < width-60; i = i + 30) {
    for (let j = 60; j < height-60; j = j + 30) {
      push();
      translate(i-width/2, j-height/2);
      //find slope, then rotate

      print(i);
      let slope = (j - mouseY) / (i - mouseX);
      slope = slope + 1;
      rotate(slope);
      rotateX(0.5);
      rotateY(0.5);
      noStroke();
      fill(204, 204, 204);
      box(10, 100, 20);
      pop();
    }
  }
}
